BOOTPARAMD(8)

NAME
bootparamd - boot parameter server

SYNOPSIS
bootparamd [-ds] [-r router] [-f file]

DESCRIPTION
The bootparamd utility is a server process that provides information to diskless(8) clients necessary for booting. It consults the /etc/bootparams file.

This version will allow the use of aliases on the hostname in the /etc/bootparams file. The returned hostname to the whoami request done by the booting client will be the name that appears in /etc/bootparams and not the canonical name. In this way you can keep the answer short enough so that machines that cannot handle long hostnames will not fail during boot.

OPTIONS

-d  Display the debugging information.

-s  Log the debugging information with syslog(3).

-r router
    The default router (a machine or an IP-address). This defaults to the machine running the server.

-f file
    The file to use as boot parameter file instead of /etc/bootparams.

FILES
/etc/bootparams
    default boot parameter file

EXAMPLES
When netbooting diskless SunOS/Xkernel SPARCstations the booted SunOS kernel also broadcasts to the all-0 address. The SunOS kernel hangs until it receives a reply. To accommodate this behaviour add an alias address that responds to an all-0 broadcast. So, add something like ‘ifconfig xl0 192.168.200.254 netmask 255.255.255.255 broadcast 192.168.200.0 alias’ on the relevant network interface on your bootparamd server. The alias address must of course be free for use.

SEE ALSO
syslog(3), bootparams(5), diskless(8)

AUTHORS
Written by Klas Heggemann <klas@nada.kth.se>.

BUGS
You may find the syslog(3) loggings to be verbose.